"use strict";
var common_vendor = require("../../common/vendor.js");
require("../../stores/index.js");
var stores_modules_tabIndex = require("../../stores/modules/tabIndex.js");
require("../../stores/modules/user.js");
require("../../stores/modules/AIResponse.js");
require("../../stores/modules/rateLimit.js");
if (!Math) {
  (Home + SuanGua + User + TabBar)();
}
const SuanGua = () => "../suan-gua/suan-gua.js";
const Home = () => "../home/home.js";
const User = () => "../user/user.js";
const TabBar = () => "../../components/TabBar.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const {
      tabIndex
    } = common_vendor.storeToRefs(stores_modules_tabIndex.useTabStore());
    console.log(tabIndex.value);
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.unref(tabIndex) === 0
      }, common_vendor.unref(tabIndex) === 0 ? {} : {}, {
        b: common_vendor.unref(tabIndex) === 1
      }, common_vendor.unref(tabIndex) === 1 ? {} : {}, {
        c: common_vendor.unref(tabIndex) === 2
      }, common_vendor.unref(tabIndex) === 2 ? {} : {});
    };
  }
});
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-1badc801"], ["__file", "D:/\u7F51\u6291\u4E91Time/\u79C1\u6D3B/2000\u7B97\u5366/src/pages/index/index.vue"]]);
wx.createPage(MiniProgramPage);
